<?php
// $Id: uc_finnish_payments.admin.inc,v 1.1 2010/08/17 10:14:57 wesku Exp $

function uc_finnish_payments_settings() {

  $form = array();
    
  $form['reference'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Reference number generator'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
    '#weight' => -9,
  );
    
  $form['reference']['uc_finnish_payments_reference_base'] = array(
    '#type' => 'textfield',
    '#title' => t('Base number'),
    '#default_value' => variable_get('uc_finnish_payments_reference_base', '1000'),
    '#description' => t('This is the base number used for calculating reference numbers.'),
    '#weight' => 0,
  );
  
  $form['reference']['uc_finnish_payments_reference_padding'] = array(
    '#type' => 'textfield',
    '#title' => t('Zero padding'),
    '#default_value' => variable_get('uc_finnish_payments_reference_padding', '0'),
    '#description' => t('Reference numbers will be padded with zeroes up until the given string length.'),
    '#weight' => 0,
  );  
  
  $form['enable_banks'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Enable payments'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
    '#weight' => -10,
  );
  
    
  $form['enable_banks']['uc_finnish_payments_aktiasppop_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Aktia/SP/POP'),
    '#default_value' => variable_get('uc_finnish_payments_aktiasppop_enabled', 0),
    '#weight' => 0,
  );

  
  $form['enable_banks']['uc_finnish_payments_handelsbanken_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Handelsbanken'),
    '#default_value' => variable_get('uc_finnish_payments_handelsbanken_enabled', 0),
    '#weight' => 1,
  );  
    
  $form['enable_banks']['uc_finnish_payments_luottokunta_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Luottokunta'),
    '#default_value' => variable_get('uc_finnish_payments_luottokunta_enabled', 0),
    '#weight' => 2,
  );  
    
  
  $form['enable_banks']['uc_finnish_payments_nordea_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Nordea'),
    '#default_value' => variable_get('uc_finnish_payments_nordea_enabled', 0),
    '#weight' => 2,
  );  
  
  $form['enable_banks']['uc_finnish_payments_osuuspankki_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Osuuspankki'),
    '#default_value' => variable_get('uc_finnish_payments_osuuspankki_enabled', 0),
    '#weight' => 3,
  );

  $form['enable_banks']['uc_finnish_payments_spankki_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('S-Pankki'),
    '#default_value' => variable_get('uc_finnish_payments_spankki_enabled', 0),
    '#weight' => 4,
  );

  $form['enable_banks']['uc_finnish_payments_sampopankki_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Sampo Pankki'),
    '#default_value' => variable_get('uc_finnish_payments_sampopankki_enabled', 0),
    '#weight' => 5,
  );  
  
  $form['enable_banks']['uc_finnish_payments_tapiola_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Tapiola'),
    '#default_value' => variable_get('uc_finnish_payments_tapiola_enabled', 0),
    '#weight' => 6,
  );   
  
  $form['enable_banks']['uc_finnish_payments_alandsbanken_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Ålandsbanken'),
    '#default_value' => variable_get('uc_finnish_payments_alandsbanken_enabled', 0),
    '#weight' => 7,
  );     
  

  


  // Aktia/SP/POP
  
  $form['aktiasppop_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Aktia/SP/POP'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -8,
  );

  $form['aktiasppop_bank']['uc_finnish_payments_aktiasppop_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_aktiasppop_public', ''),
    '#description' => t("For testing use <em>0000000000</em>"),
  );
  
  $form['aktiasppop_bank']['uc_finnish_payments_aktiasppop_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_aktiasppop_private', ''),
   	'#description' => t("For testing use <em>11111111111111111111</em>"),
  );
  
  
  // Handelsbanken
  
  $form['handelsbanken_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Handelsbanken'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -7,
  );    
  
  $form['handelsbanken_bank']['uc_finnish_payments_handelsbanken_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_handelsbanken_public', ''),
    '#description' => t("For testing use <em>0000000000</em>"),
  );
  
  $form['handelsbanken_bank']['uc_finnish_payments_handelsbanken_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_handelsbanken_private', ''),
    '#description' => t("For testing use <em>11111111111111111111</em>"),
  );  
  
  
  // Luottokunta
  
  $form['luottokunta_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Luottokunta'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -6,
  );

  $form['luottokunta_bank']['uc_finnish_payments_luottokunta_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_luottokunta_public', ''),
    '#description' => t("No testing account"),
  );
  
  $form['luottokunta_bank']['uc_finnish_payments_luottokunta_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_luottokunta_private', ''),
    '#description' => t("No testing account"),
  );  
  
  // Nordea
  
  $form['nordea_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Nordea'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -6,
  );

  $form['nordea_bank']['uc_finnish_payments_nordea_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_nordea_public', ''),
    '#description' => t("For testing use <em>12345678</em>"),
  );
  
  $form['nordea_bank']['uc_finnish_payments_nordea_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_nordea_private', ''),
    '#description' => t("For testing use <em>LEHTI</em>"),
  );

  // Osuuspankki
  
  $form['osuuspankki_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Osuuspankki'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -5,
  );
  

  $form['osuuspankki_bank']['uc_finnish_payments_osuuspankki_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_osuuspankki_public', ''),
    '#description' => t("For testing use <em>Esittelymyyja</em>"),
  );
  
  $form['osuuspankki_bank']['uc_finnish_payments_osuuspankki_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_osuuspankki_private', ''),
    '#description' => t("For testing use <em>Esittelykauppiaansalainentunnus</em>"),
  );  

  
  // S-Pankki
  
  $form['spankki_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('S-Pankki'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -4,
  );
  

  $form['spankki_bank']['uc_finnish_payments_spankki_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_spankki_public', ''),
    '#description' => t("For testing use <em>SPANKKIESHOPID</em>"),
  );
  
  $form['spankki_bank']['uc_finnish_payments_spankki_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_spankki_private', ''),
    '#description' => t("For testing use <em>SPANKKI</em>"),
  );    
  
  $form['spankki_bank']['uc_finnish_payments_spankki_receiver'] = array(
    '#type' => 'textfield',
    '#title' => t('Receiver name'),
    '#default_value' => variable_get('uc_finnish_payments_spankki_receiver', ''),
    '#description' => t("Fill only if you wish to change the default"),
  );   
 
  $form['spankki_bank']['uc_finnish_payments_spankki_account'] = array(
    '#type' => 'textfield',
    '#title' => t('Receiver account number'),
    '#default_value' => variable_get('uc_finnish_payments_spankki_account', ''),
    '#description' => t("For testing use <em>393900-01002369</em>"),
   );   
  
   
  // Sampopankki
  
  $form['sampo_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Sampo Pankki'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -3,
  );


  $form['sampo_bank']['uc_finnish_payments_sampopankki_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_sampopankki_public', ''),
    '#description' => t("For testing use <em>000000000000</em>"),
  );
  
  $form['sampo_bank']['uc_finnish_payments_sampopankki_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_sampopankki_private', ''),
    '#description' => t("For testing use <em>jumCLB4T2ceZWGJ9ztjuhn5FaeZnTm5HpfDXWU2APRqfDcsrBs8mqkFARzm7uXKd</em>"),
  );
    
  
  // Tapiola
  
  $form['tapiola_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Tapiola'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -2,
  );
  
  
  $form['tapiola_bank']['uc_finnish_payments_tapiola_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_tapiola_public', ''),
    '#description' => t("For testing use <em>TAPESHOPID</em>"),
  );
  
  $form['tapiola_bank']['uc_finnish_payments_tapiola_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_tapiola_private', ''),
    '#description' => t("For testing use <em>PAPUKAIJA</em>"),
  );    
  
  $form['tapiola_bank']['uc_finnish_payments_tapiola_receiver'] = array(
    '#type' => 'textfield',
    '#title' => t('Receiver name'),
    '#default_value' => variable_get('uc_finnish_payments_tapiola_receiver', ''),
    '#description' => t("Fill only if you wish to change the default"),
  );   
 
  $form['tapiola_bank']['uc_finnish_payments_tapiola_account'] = array(
    '#type' => 'textfield',
    '#title' => t('Receiver account number'),
    '#default_value' => variable_get('uc_finnish_payments_tapiola_account', ''),
    '#description' => t("For testing use <em>363630-01652643</em>"),
   );      
   

  
  // Ålandsbanken
  
  $form['alandsbanken_bank'] = array(
  	'#type' => 'fieldset',
    '#title' => t('Ålandsbanken'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#weight' => -1,
  );


  $form['alandsbanken_bank']['uc_finnish_payments_alandsbanken_public'] = array(
    '#type' => 'textfield',
    '#title' => t('Public key'),
    '#default_value' => variable_get('uc_finnish_payments_alandsbanken_public', ''),
    '#description' => t("For testing use <em>AABESHOPID</em>"),
  );
  
  $form['alandsbanken_bank']['uc_finnish_payments_alandsbanken_private'] = array(
    '#type' => 'textfield',
    '#title' => t('Private key'),
    '#default_value' => variable_get('uc_finnish_payments_alandsbanken_private', ''),
    '#description' => t("For testing use <em>PAPEGOJA</em>"),
  );    
  
  $form['alandsbanken_bank']['uc_finnish_payments_alandsbanken_receiver'] = array(
    '#type' => 'textfield',
    '#title' => t('Receiver name'),
    '#default_value' => variable_get('uc_finnish_payments_alandsbanken_receiver', ''),
    '#description' => t("Fill only if you wish to change the default"),
  );   
 
  $form['alandsbanken_bank']['uc_finnish_payments_alandsbanken_account'] = array(
    '#type' => 'textfield',
    '#title' => t('Receiver account number'),
    '#default_value' => variable_get('uc_finnish_payments_alandsbanken_account', ''),
    '#description' => t("For testing use <em>660100-01130855</em>"),
   );      
   

  return system_settings_form($form);
}

